const { readFileSync } = require('fs')

function getKeysWithHtmlTagsAsValue(propertiesFilePath){

    const keysWithHtmlTagsAsValue = []
    let propertiesFileContent = ``
    try{
        propertiesFileContent = readFileSync(propertiesFilePath,'utf-8').split('\n')
        propertiesFileContent.map( line => {
            if( ! line.trim().startsWith('#') || line.trim() !== ''){
                if(line.indexOf('=') !== -1 ){
                    const equalToIndex = line.indexOf('=')
                    const key = line.substring(0, equalToIndex);
                    const value = line.substring(equalToIndex +1)
        
                    if(htmlTagsRegexPattern.test(value)){
                        keysWithHtmlTagsAsValue.push(`${key} = ${value}`)
                    }
                }
            }
            
        })
        return keysWithHtmlTagsAsValue
    }
    catch(error){
        console.log(error)
        return undefined
    }
}

module.exports = {
    getKeysWithHtmlTagsAsValue
}